# This file created by conda-build 3.28.4
# meta.yaml template originally from:
# C:\b\abs_93i_y2dub4\clone\recipe, last modified Wed Feb  7 18:34:30 2024
# ------------------------------------------------

package:
  name: pyarrow
  version: 14.0.2
source:
  sha256: 1304dedb41896008b89fe0738c71a95d9b81752efc77fa70f264cb1da15d9bc2
  url: https://archive.apache.org/dist/arrow/arrow-14.0.2/apache-arrow-14.0.2.tar.gz
build:
  missing_dso_whitelist:
    - '*/arrow_python.dll'
    - '*/arrow_python_flight.dll'
  number: '0'
  rpaths:
    - C:\\b\\abs_93i_y2dub4\\croot\\pyarrow_1707330894046\\_h_env\\Lib\\site-packages/pyarrow
    - lib/
  string: py38h3d56cd0_0
requirements:
  build:
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2023.12.12 haa95532_0
    - cmake 3.26.4 h693b641_0
    - expat 2.5.0 hd77b12b_0
    - libffi 3.4.4 hd77b12b_0
    - libuv 1.44.2 h2bbff1b_0
    - lz4-c 1.9.4 h2bbff1b_0
    - ninja 1.10.2 haa95532_5
    - ninja-base 1.10.2 h6d14046_5
    - openssl 3.0.13 h2bbff1b_0
    - python 3.12.1 h1d929f7_0
    - sqlite 3.41.2 h2bbff1b_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2023d h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - vs2019_win-64 19.27.29111 ha89c4d3_2
    - vswhere 2.8.4 haa95532_0
    - xz 5.4.5 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
    - zstd 1.5.5 hd43e919_0
  host:
    - abseil-cpp 20211102.0 hd77b12b_0
    - arrow-cpp 14.0.2 ha81ea56_1
    - aws-c-auth 0.6.19 h2bbff1b_0
    - aws-c-cal 0.5.20 h2bbff1b_0
    - aws-c-common 0.8.5 h2bbff1b_0
    - aws-c-compression 0.2.16 h2bbff1b_0
    - aws-c-event-stream 0.2.15 hd77b12b_0
    - aws-c-http 0.6.25 h2bbff1b_0
    - aws-c-io 0.13.10 h2bbff1b_0
    - aws-c-mqtt 0.7.13 h2bbff1b_0
    - aws-c-s3 0.1.51 h2bbff1b_0
    - aws-c-sdkutils 0.1.6 h2bbff1b_0
    - aws-checksums 0.1.13 h2bbff1b_0
    - aws-crt-cpp 0.18.16 hd77b12b_0
    - aws-sdk-cpp 1.10.55 hd77b12b_0
    - blas 1.0 mkl
    - boost-cpp 1.82.0 h59b6b97_2
    - bzip2 1.0.8 he774522_0
    - c-ares 1.19.1 h2bbff1b_0
    - ca-certificates 2023.12.12 haa95532_0
    - cython 3.0.6 py38h2bbff1b_0
    - gflags 2.2.2 hd77b12b_1
    - glog 0.5.0 hd77b12b_1
    - grpc-cpp 1.48.2 hfe90ff0_1
    - intel-openmp 2023.1.0 h59b6b97_46320
    - libboost 1.82.0 h3399ecb_2
    - libbrotlicommon 1.0.9 h2bbff1b_7
    - libbrotlidec 1.0.9 h2bbff1b_7
    - libbrotlienc 1.0.9 h2bbff1b_7
    - libcurl 8.5.0 h86230a5_0
    - libevent 2.1.12 h56d1f94_1
    - libffi 3.4.4 hd77b12b_0
    - libprotobuf 3.20.3 h23ce68f_0
    - libssh2 1.10.0 he2ea4bf_2
    - libthrift 0.15.0 h4364b78_2
    - lz4-c 1.9.4 h2bbff1b_0
    - mkl 2023.1.0 h6b88ed4_46358
    - mkl-service 2.4.0 py38h2bbff1b_1
    - mkl_fft 1.3.8 py38h2bbff1b_0
    - mkl_random 1.2.4 py38h59b6b97_0
    - numpy 1.21.5 py38h6917f2d_4
    - numpy-base 1.21.5 py38h46c4fa8_4
    - openssl 3.0.13 h2bbff1b_0
    - orc 1.7.4 h623e30f_1
    - packaging 23.1 py38haa95532_0
    - pip 23.3.1 py38haa95532_0
    - python 3.8.18 h1aa4202_0
    - re2 2022.04.01 hd77b12b_0
    - setuptools 68.2.2 py38haa95532_0
    - setuptools-scm 7.1.0 py38haa95532_0
    - setuptools_scm 7.1.0 hd3eb1b0_0
    - snappy 1.1.10 h6c2663c_1
    - sqlite 3.41.2 h2bbff1b_0
    - tbb 2021.8.0 h59b6b97_0
    - tomli 2.0.1 py38haa95532_0
    - typing-extensions 4.9.0 py38haa95532_1
    - typing_extensions 4.9.0 py38haa95532_1
    - uriparser 0.9.7 h2bbff1b_0
    - utf8proc 2.6.1 h2bbff1b_1
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.41.2 py38haa95532_0
    - xz 5.4.5 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
    - zstd 1.5.5 hd43e919_0
  run:
    - arrow-cpp >=14.0.2,<14.0.3.0a0
    - boost-cpp
    - numpy >=1.16.6,<2.0a0
    - python >=3.8,<3.9.0a0
    - vc >=14.2,<15.0a0
    - vs2015_runtime >=14.27.29016,<15.0a0
test:
  commands:
    - if exist %SP_DIR%/pyarrow/tests/test_array.py exit 1
    - if not exist %SP_DIR%\pyarrow\arrow_python.dll exit 1
    - if not exist %SP_DIR%\pyarrow\arrow_python_flight.dll exit 1
  imports:
    - pyarrow
    - pyarrow._hdfs
    - pyarrow._s3fs
    - pyarrow.compute
    - pyarrow.csv
    - pyarrow.dataset
    - pyarrow.filesystem
    - pyarrow.flight
    - pyarrow.fs
    - pyarrow.json
    - pyarrow.orc
    - pyarrow.parquet
about:
  description: 'This library provides a Python API for functionality provided by the
    Arrow C++ libraries,

    along with tools for Arrow integration and interoperability with pandas, NumPy,
    and other

    software in the Python ecosystem.

    '
  dev_url: https://github.com/apache/arrow/tree/master/python
  doc_url: https://github.com/apache/arrow/blob/master/docs/source/developers/python.rst
  home: https://github.com/apache/arrow
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: Python libraries for Apache Arrow
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 9338398b-9715-4fd2-9a26-a44793d5c68e
  recipe-maintainers:
    - cpcloud
    - jreback
    - kou
    - kszucs
    - pcmoritz
    - pitrou
    - robertnishihara
    - siddharthteotia
    - wesm
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/pyarrow-feedstock.git
  sha: 9e8f0c8089c1d4ed26c64df1eccaa100f05e4f0f
